Bug 1892218 - Multi-page listing when adding repositories to Content Views confuses the number of repositories to add
Summary: Multi-page listing when adding repositories to Content Views confuses the num...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.8.0
Hardware: Unspecified
OS: Linux
unspecified
medium vote
Target Milestone: 6.12.0
Assignee: Samir Jha
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-28 08:34 UTC by Karoly "Charlie" VEGH
Modified: 2022-07-20 20:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
kvegh: needinfo-


Attachments (Terms of Use)
screenshot 1 (233.37 KB, image/png)
2020-10-28 08:34 UTC, Karoly "Charlie" VEGH
no flags Details
screenshot 2 (254.85 KB, image/png)
2020-10-28 08:35 UTC, Karoly "Charlie" VEGH
no flags Details
screenshot 3 (177.84 KB, image/png)
2020-10-28 08:36 UTC, Karoly "Charlie" VEGH
no flags Details
screenshot 4 (148.02 KB, image/png)
2020-10-28 08:36 UTC, Karoly "Charlie" VEGH
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34670 0 Normal New Multi-page listing when adding repositories to Content Views confuses the number of repositories to add 2022-03-23 18:10:18 UTC

Description Karoly "Charlie" VEGH 2020-10-28 08:34:32 UTC
Created attachment 1724733 [details]
screenshot 1

Description of problem:
Multi-page listing when adding repositories to Content Views confuses the number of repositories to add

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Created a Content View. 
2. Adding repositories to it. 
List of repositories show up, 20 per page. I have two pages. 
3. On the first page, "1 of 2", I mark the checkboxes of 3 repositories. 
That goes well, it says "3 of 23 selected" (see screenshot 1). 
Then I scroll down, and click next page in the repository list ">" to move on to "2 of 2". (screenshot 2)
4. On this second page of the list I mark an additional repository to be added  
Satellite confirms this by saying "4 of 23 selected". 
5. I click "Add repositories". 

Actual results:

Only the last repository (selected on the second page) is added to the CV, but when I click then "List/Remove" to see the list of added repositories, the other 20 repos are not displayed at all. (screenshot 4). 

Additionally: if I now navigate through the menu: "Menu --> Content --> Content Views --> $NAME_OF_CV --> Yum Content --> Repositories" then Satellite gos straight to the "Page 2" view of the repository lists ( https://satellite/content_views/2/repositories/yum/available?page=2&per_page=20 ) , which can be confusing. 


Expected results:

All marked repositories on both pages 1 and 2 shall be added straight to the CV. 

Additional info:

Workaround for the bug: Add first the repositories on page 1 of 2, then move on to page 2 of 2 and add the repositories from there. That worked just fine.

Comment 1 Karoly "Charlie" VEGH 2020-10-28 08:35:30 UTC
Created attachment 1724734 [details]
screenshot 2

Comment 2 Karoly "Charlie" VEGH 2020-10-28 08:36:02 UTC
Created attachment 1724735 [details]
screenshot 3

Comment 3 Karoly "Charlie" VEGH 2020-10-28 08:36:29 UTC
Created attachment 1724736 [details]
screenshot 4

Comment 4 Justin Sherrill 2021-06-10 17:39:26 UTC
This page (and most selection pages) does not support a multi-page select.  The real bug here is that the count is incorrect.  Making this page support multi-select would probably be considered an enhancement.  All of the content views section is being redesigned for satellite 7.0 or 7.1 release, although the new implementation is similar in that it doesn't support multi-page selection.

We can look at fixing the count

Comment 7 Samir Jha 2022-03-23 18:10:18 UTC
Created redmine issue https://projects.theforeman.org/issues/34670 from this bug

Comment 10 Bryan Kearney 2022-03-31 20:03:19 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34670 has been resolved.

Comment 13 Lai 2022-07-20 20:25:57 UTC
Followed the steps in description.

Expected result:
All selected repos should be added to cv

Actual result:
All selected repos are added to cv.

Verified on 6.12.0 snap 2


Note You need to log in before you can comment on or make changes to this bug.